{
    "fields": [
        {
            "doc": "Reported vs Genetic checks version. This version should point to specific versions of the RvsG script,\nconfigurations and thresholds",
            "name": "rvsgCheckVersion",
            "type": "string"
        },
        {
            "doc": "In the format YYYY-MM-DDTHH:MM:SS+0000",
            "name": "runDate",
            "type": "string"
        },
        {
            "doc": "Genome assembly",
            "name": "genomeAssembly",
            "type": [
                "null",
                {
                    "doc": "Supported assemblies",
                    "name": "SupportedAssembly",
                    "symbols": [
                        "GRCh37",
                        "GRCh38"
                    ],
                    "type": "enum"
                }
            ]
        },
        {
            "doc": "Path to the directory containing the checks for this family",
            "name": "pathToDirectory",
            "type": "string"
        },
        {
            "doc": "Number of markers used to compute the Mendelian Inconsistencies. This corresponds to the number of\nlines in the PLINK .bim file used for this family",
            "name": "numberOfMarkers",
            "type": [
                "null",
                "double"
            ]
        },
        {
            "doc": "Number of markers in approximate linkage equilibrium used to calculate IBD",
            "name": "numberOfMarkersLE",
            "type": [
                "null",
                "double"
            ]
        },
        {
            "doc": "Tool used to compute mendelian inconsistencies",
            "name": "mendelErrorsTool",
            "type": "string"
        },
        {
            "doc": "Version of the tool used to compute mendelian inconsistencies",
            "name": "mendelErrorsToolVersion",
            "type": "string"
        },
        {
            "doc": "Tool used to compute within-family relatedness",
            "name": "relatednessTool",
            "type": "string"
        },
        {
            "doc": "Version of the tool used to compute mendelian inconsistencies",
            "name": "relatednessToolVersion",
            "type": "string"
        },
        {
            "doc": "Information about the samples used to calculate the RvsG checks",
            "name": "samplesInfo",
            "type": {
                "items": {
                    "doc": "ReportedVsGeneticSummary\n========================================\nGeneral information about the checks, versions, tools, and number of markers",
                    "fields": [
                        {
                            "doc": "Participant Id: This code should be unique per patient and independent of the sample",
                            "name": "participantId",
                            "type": "string"
                        },
                        {
                            "doc": "Sample Id (e.g, LP00012645_5GH))",
                            "name": "sampleId",
                            "type": "string"
                        },
                        {
                            "doc": "Delivery Id",
                            "name": "deliveryId",
                            "type": "string"
                        }
                    ],
                    "name": "SamplesInfo",
                    "type": "record"
                },
                "type": "array"
            }
        },
        {
            "doc": "JIRA issue id raised for these checks",
            "name": "jiraId",
            "type": [
                "null",
                "string"
            ]
        }
    ],
    "name": "ReportedVsGeneticSummary",
    "namespace": "org.gel.models.metrics.avro",
    "type": "record"
}